User Tools

Site Tools


Sidebar

development:compiling:player:cmake

This is an old revision of the document!


Building Player with CMake

Requirements

  • cmake-2.8 or greater
  • SDL 1.2
  • SDL_mixer
  • Freetype
  • Pixman
  • libpng
  • libjpeg (with jpeg_mem_src)
  • zlib
  • boost
  • OpenAL
  • Lua 5.1
  • Ruby
  • Doxygen

Build

  • Run "cmake ${PATH TO player/builds/cmake} && make".
  • If you want to build it with debug mode pass "-D CMAKE_BUILD_TYPE=Debug" to cmake.
  • If you use Ubuntu or Arch Linux and you are getting linker errors, pass "-Wl,–no-as-needed" to cmake.
development/compiling/player/cmake.1373640426.txt.gz · Last modified: 2013/07/12 14:47 by 201.191.123.42